<?php

namespace Modules\Facture\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class GestionFactureDemat
{
    protected \PDO $pdo;

    public function __construct(\PDO $pdo)
    {
        $this->pdo = $pdo;
    }

    public function init() :bool
    {
        return (bool) Roles::droitsUtilisateur($this->pdo, 'HA_FA_FE');
    }
}
